Botan 2.19.5 Crypto and TLS for C&

Public Member Functions | List of all members
Botan::Integer_Overflow_Detected Class Referencefinal

`#include <safeint.h>`

Inheritance diagram for Botan::Integer_Overflow_Detected:

## Public Member Functions
virtual int | error_code () const noexcept
ErrorType | error_type () const noexcept override
| Integer_Overflow_Detected (const std::string &file, int line)
const char * | what () const noexcept override

## Detailed Description

Definition at line 16 of file safeint.h.

## Constructor & Destructor Documentation

## ◆ Integer_Overflow_Detected()

Botan::Integer_Overflow_Detected::Integer_Overflow_Detected | ( | const std::string & | file,
|  | int | line
| ) |  |
| inline

Definition at line 19 of file safeint.h.

19 :
20 Exception("Integer overflow detected at " + file + ":" + std::to_string(line))
21 {}
Botan::Exception::Exception
Exception(const std::string &msg)
Definition: exceptn.cpp:73
Botan::ASN1::to_string
std::string to_string(const BER_Object &obj)
Definition: asn1_obj.cpp:213

## Member Function Documentation

## ◆ error_code()

virtual int Botan::Exception::error_code | ( |  | ) | const
| inline virtual noexcept inherited

Return an error code associated with this exception, or otherwise 0.

The domain of this error varies depending on the source, for example on POSIX systems it might be errno, while on a Windows system it might be the result of GetLastError or WSAGetLastError. For error_type() is OpenSSLError, it will (if nonzero) be an OpenSSL error code from ERR_get_error.

Reimplemented in Botan::Compression_Error, Botan_FFI::FFI_Error, Botan::CommonCrypto_Error, Botan::PKCS11::PKCS11_ReturnError, Botan::TLS::TLS_Exception, Botan::SQL_Database::SQL_DB_Error, and Botan::System_Error.

Definition at line 112 of file exceptn.h.

112{ return 0; }

## ◆ error_type()

ErrorType Botan::Integer_Overflow_Detected::error_type | ( |  | ) | const
| inline override virtual noexcept

Return the "type" of error which occurred.

Reimplemented from Botan::Exception.

Definition at line 23 of file safeint.h.

23{ return ErrorType::InternalError; }
Botan::ErrorType::InternalError
@ InternalError

References Botan::InternalError.

## ◆ what()

const char * Botan::Exception::what | ( |  | ) | const
| inline override noexcept inherited

Return a descriptive string which is hopefully comprehensible to a developer. It will likely not be useful for an end user.

The string has no particular format, and the content of exception messages may change from release to release. Thus the main use of this function is for logging or debugging.

Definition at line 96 of file exceptn.h.

96{ return m_msg.c_str(); }

Referenced by Botan::TLS::Client_Key_Exchange::Client_Key_Exchange(), and Botan_FFI::ffi_guard_thunk().

The documentation for this class was generated from the following file:

- src/lib/utils/safeint.h